Argonne National Laboratory

Experimental Physics and
Industrial Control System

1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  <2017 Index 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  <2017
<== Date ==> <== Thread ==>

Subject: Re: Problem installing PyEpics
From: Pete Jemian <jemian@anl.gov>
To: <tech-talk@aps.anl.gov>
Date: Tue, 23 May 2017 12:01:55 -0500
There are several EPICS base packages on Anaconda.org.
You might consider one of them:

https://anaconda.org/search?q=epics+base

This is in hope that such packages are self-consistent with the libreadline also installed via conda.

On 05/23/2017 11:30 AM, Michael Davidsaver wrote:
On 05/23/2017 11:58 AM, Vodopivec, Klemen wrote:
OSError: /home/akastengren/anaconda2/bin/../lib/libreadline.so.6: undefined symbol: PC

This is the usual problem with anaconda packaging.  EPICS Base is built
with the system version of libreadline.so, while conda has it's own
build.  Despite having the same SONAME, and perhaps even the same source
version, these builds are not binary compatible.

The solution is to use a version of EPICS Base built in the conda
environment.

Note that there is nothing special about libreadline here.  Similar
potential problems exist with other libraries (including libc.so).


--
----------------------------------------------------------
 Pete R. Jemian, Ph.D.                <jemian@anl.gov>
 Beam line Controls and Data Acquisition, Group Leader
 Advanced Photon Source,   Argonne National Laboratory
 Argonne, IL  60439                   630 - 252 - 3189
-----------------------------------------------------------
    Education is the one thing for which people
       are willing to pay yet not receive.
-----------------------------------------------------------


References:
Problem installing PyEpics Alan Kastengren
Re: Problem installing PyEpics Vodopivec, Klemen
Re: Problem installing PyEpics Michael Davidsaver

Navigate by Date:
Prev: Re: Problem installing PyEpics Michael Davidsaver
Next: Re: Force TCP/IP reconnect from Asyn/Streamdevice Christoph Schroeder
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  <2017
Navigate by Thread:
Prev: Re: Problem installing PyEpics Michael Davidsaver
Next: How to write multi value in a caput message? PilkyuJung
Index: 1994  1995  1996  1997  1998  1999  2000  2001  2002  2003  2004  2005  2006  2007  2008  2009  2010  2011  2012  2013  2014  2015  2016  <2017
ANJ, 24 May 2017 Valid HTML 4.01! · Home · News · About · Base · Modules · Extensions · Distributions · Download ·
· EPICS V4 · IRMIS · Talk · Bugs · Documents · Links · Licensing ·